Draft Trimex
|
Menu location |
---|
Modification → Trimex Modify → Trimex |
Workbenches |
Draft, BIM |
Default shortcut |
T R |
Introduced in version |
- |
See also |
Part Extrude |
Description
The Draft Trimex command trims or extends a selected object. Intersections with the edge of another object can be used to determine new endpoints. The command can also be used to extrude a face, in which case it creates a Part Extrude object.
Top: a Draft Wire extended and then trimmed.
Bottom: a face extruded into a solid body.
Trim or extend
Usage
- Optionally select one object. The object must be a Draft Line, a Draft Wire, a Draft Arc or a Draft Circle (which can only be trimmed). If the selected object is closed it must have its DataMake Face property set to
false
. - There are several ways to invoke the command:
- If you have not yet selected an object: select an object in the 3D view.
- The Trimex task panel opens. See Options for more information.
- Move the pointer in the 3D view so that the preview matches the desired result. If required use the modifier keys as explained in the Options.
- Do one of the following:
- Pick a point in the 3D view.
- Enter a Distance or an Angle. The distance is a delta distance. This option does not work if modifier keys are used.
- Move the pointer over an edge belonging to another object, and click when this edge is highlighted, to trim or extend the selected object using an intersection with the highlighted edge as the new endpoint. When trimming, the projection of the point where the cutting edge is selected onto the object to be trimmed, determines the default result. Note that Draft Snaps can have an undesirable impact here. In some cases it can be useful to turn them off temporarily.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.
- Hold down Alt to invert the default result of the command.
- Hold down Shift to restrict the operation to the current segment of a Draft Wire.
- Press S to switch Draft snapping on or off.
Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All Draft Snaps were turned off.
- The arc was clicked near the bottom left corner of the wire. This is the default result.
- Alt was held down while the arc was clicked near the bottom left corner of the wire.
- Y was pressed, and while hovering over the left edge Shift was held down and then the arc was clicked. Pressing Y is only required for edges that are more or less parallel to the Y axis.
Extrude
Usage
See also: Draft Snap and Draft Constrain.
- It can be helpful to first change the Draft working plane so that it is not coplanar with the face you want to extrude.
- Optionally select a single face or an object with a single face.
- There are several ways to invoke the command:
- Press the
Draft Trimex button.
- Select the Modification →
Trimex option from the menu.
- Use the keyboard shortcut: T then R.
- Press the
- If you have not yet selected an object or a face: select an object with a single face in the 3D view.
- The Trimex task panel opens. See Options for more information.
- To define the extrusion direction and distance do one of the following:
Options
The modifier key mentioned here can be changed. See Draft Preferences.
- Hold Shift to extrude in a direction that is not parallel to the normal of the face.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
There is no Python method to trim objects. To extrude objects use the extrude
method of the Draft module.
extrusion = extrude(obj, vector, solid=False)
obj
is the object to be extruded.vector
is the extrusion direction and distance.- If
solid
isTrue
a solid is created instead of a shell. extrusion
is returned with the created object.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()
vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path link array, Point array, Point link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap lock, Snap endpoint, Snap midpoint, Snap center, Snap angle, Snap intersection, Snap perpendicular, Snap extension, Snap parallel, Snap special, Snap near, Snap ortho, Snap grid, Snap working plane, Snap dimensions, Toggle grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Text: Open hyperlinks
- Wire: Flatten
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub